org.keycloak.forms.login

## Enum LoginFormsPages

- java.lang.Object
- - java.lang.Enum<LoginFormsPages>
  - - org.keycloak.forms.login.LoginFormsPages

- All Implemented Interfaces:
    Serializable, Comparable<LoginFormsPages>

      public enum LoginFormsPages
      extends Enum<LoginFormsPages>

  Author:
    Stian Thorgersen

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CODE`
    `ERROR`
    `ERROR_WEBAUTHN`
    `IDP_REVIEW_USER_PROFILE`
    `INFO`
    `LOGIN`
    `LOGIN_CONFIG_TOTP`
    `LOGIN_IDP_LINK_CONFIRM`
    `LOGIN_IDP_LINK_EMAIL`
    `LOGIN_OAUTH2_DEVICE_VERIFY_USER_CODE`
    `LOGIN_PAGE_EXPIRED`
    `LOGIN_PASSWORD`
    `LOGIN_RESET_PASSWORD`
    `LOGIN_SELECT_AUTHENTICATOR`
    `LOGIN_TOTP`
    `LOGIN_UPDATE_PASSWORD`
    `LOGIN_UPDATE_PROFILE`
    `LOGIN_USERNAME`
    `LOGIN_VERIFY_EMAIL`
    `LOGIN_WEBAUTHN`
    `OAUTH_GRANT`
    `REGISTER`
    `REGISTER_USER_PROFILE`
    `SAML_POST_FORM`
    `UPDATE_USER_PROFILE`
    `X509_CONFIRM`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LoginFormsPages` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LoginFormsPages[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOGIN

          public static final LoginFormsPages LOGIN

    - #### LOGIN_USERNAME

          public static final LoginFormsPages LOGIN_USERNAME

    - #### LOGIN_PASSWORD

          public static final LoginFormsPages LOGIN_PASSWORD

    - #### LOGIN_TOTP

          public static final LoginFormsPages LOGIN_TOTP

    - #### LOGIN_CONFIG_TOTP

          public static final LoginFormsPages LOGIN_CONFIG_TOTP

    - #### LOGIN_WEBAUTHN

          public static final LoginFormsPages LOGIN_WEBAUTHN

    - #### LOGIN_VERIFY_EMAIL

          public static final LoginFormsPages LOGIN_VERIFY_EMAIL

    - #### LOGIN_IDP_LINK_CONFIRM

          public static final LoginFormsPages LOGIN_IDP_LINK_CONFIRM

    - #### LOGIN_IDP_LINK_EMAIL

          public static final LoginFormsPages LOGIN_IDP_LINK_EMAIL

    - #### OAUTH_GRANT

          public static final LoginFormsPages OAUTH_GRANT

    - #### LOGIN_RESET_PASSWORD

          public static final LoginFormsPages LOGIN_RESET_PASSWORD

    - #### LOGIN_UPDATE_PASSWORD

          public static final LoginFormsPages LOGIN_UPDATE_PASSWORD

    - #### LOGIN_SELECT_AUTHENTICATOR

          public static final LoginFormsPages LOGIN_SELECT_AUTHENTICATOR

    - #### REGISTER

          public static final LoginFormsPages REGISTER

    - #### REGISTER_USER_PROFILE

          public static final LoginFormsPages REGISTER_USER_PROFILE

    - #### INFO

          public static final LoginFormsPages INFO

    - #### ERROR

          public static final LoginFormsPages ERROR

    - #### ERROR_WEBAUTHN

          public static final LoginFormsPages ERROR_WEBAUTHN

    - #### LOGIN_UPDATE_PROFILE

          public static final LoginFormsPages LOGIN_UPDATE_PROFILE

    - #### LOGIN_PAGE_EXPIRED

          public static final LoginFormsPages LOGIN_PAGE_EXPIRED

    - #### CODE

          public static final LoginFormsPages CODE

    - #### X509_CONFIRM

          public static final LoginFormsPages X509_CONFIRM

    - #### SAML_POST_FORM

          public static final LoginFormsPages SAML_POST_FORM

    - #### LOGIN_OAUTH2_DEVICE_VERIFY_USER_CODE

          public static final LoginFormsPages LOGIN_OAUTH2_DEVICE_VERIFY_USER_CODE

    - #### UPDATE_USER_PROFILE

          public static final LoginFormsPages UPDATE_USER_PROFILE

    - #### IDP_REVIEW_USER_PROFILE

          public static final LoginFormsPages IDP_REVIEW_USER_PROFILE

  - ### Method Detail

    - #### values

          public static LoginFormsPages[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LoginFormsPages c : LoginFormsPages.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LoginFormsPages valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.